One way of grouping your contacts in Engage is with target audiences. A target audience is a groupings of contacts that’s recalculated on a fixed schedule (every night is standard). The contacts in a target audiences can therefore change from day to day.
For example, some people will be having a birthday, some will have made their first purchase, some might have just moved to Limerick, and others might have just left Limerick, vowing never to return.
Every contact can belong to many different target audiences.
Other ways of grouping contacts are by segmentation (an on-the-fly grouping based on the current state of all contacts) and labels (a more static way of grouping since, once given a label, a contact will have it until it is removed).
Fetching target audiences
With target audiences you can profile your customers more strategically, using them as building blocks for your day-to-day campaigning, and building up a library of target audiences based on life cycle stages, personas, geographic location, product category affinity, or whatever is of interest.
You can also expose these audiences in external applications, for example to further personalize a customer’s experience in a sales situation in stores or online. To do this, you’ll need to know which audiences exist in your Engage instance.
To fetch all target audiences in your Engage instance, use this endpoint:
GET /api/v3/target-audiences
There are no parameters or payload required in this request.
Structure of response
A successful request gives a HTTP 200 response along with data in this format:
Target audiences response
[
{
"id": "91a2ea56-c08b-48fe-b510-ffff006aedde",
"name": "Svenska medlemmar"
},
{
"id": "5b195078-0f72-4206-ac1a-aaaa006ce19e",
"name": "Silver"
},
{
"id": "1ef5e951-a0f1-4822-b69e-cccc006cf38a",
"name": "Member"
}
]
Each JSON object in this array represents a target audience:
The unique ID for that target audience. Currently not useful, but a future endpoint could be used to return all the contacts in this target audience using this ID.
The name of the target audience as entered when the audience was created.
If you need to fetch all the target audiences that a specific contact belongs to, you can do it using the contact overview endpoint.
Read more about segmentation and target audiences here